Implementation of the 'tr' markup element. A tr HTML element is created and the class lto-row is added to allow CSS manipulations.

see

  IRenderable

see

  IStackeable

see

  Table

see

  Col

### Hierarchy

- Row

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Row(spec: ISpecification): Row

- - Defined in lib/renderable/table/row/index.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Row

## Properties

### spec

spec: ISpecification

- Defined in lib/renderable/table/row/index.ts:16

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/table/row/index.ts:25

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc